complexType "CorrectableRequestMessage"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 7 elements
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 13 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, isCorrection, (parentCorrelationId?, correlationId, sequenceNumber)?, onBehalfOf?
</...>

Content Model Elements (7):

  correlationId, header (defined in RequestMessage complexType), isCorrection, onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, sequenceNumber (defined in Sequence.model group), validation

Known Direct Subtypes (13):

  CreditEventNotification, ExecutionAdvice, ExecutionNotification, MaturityNotification, RequestAllocation, RequestClearing, RequestClearingEligibility, RequestCollateralAllocation, RequestConfirmation, RequestConsent, RequestExecution, RequestTradeReferenceInformationUpdate, TradeChangeAdvice

All Direct / Indirect Based Elements (14):

  creditEventNotification, executionAdvice, executionNotification, maturityNotification, optionExpirationNotification, requestAllocation, requestClearing, requestClearingEligibilty, requestCollateralAllocation, requestConfirmation, requestConsent, requestExecution, requestTradeReferenceInformationUpdate, tradeChangeAdvice

Known Usage Locations

- In derivations of other global types (13):
  CreditEventNotification (as extension base),
  ExecutionAdvice (as extension base),
  ExecutionNotification (as extension base),
  MaturityNotification (as extension base),
  RequestAllocation (as extension base),
  RequestClearing (as extension base),
  RequestClearingEligibility (as extension base),
  RequestCollateralAllocation (as extension base),
  RequestConfirmation (as extension base),
  RequestConsent (as extension base),
  RequestExecution (as extension base),
  RequestTradeReferenceInformationUpdate (as extension base),
  TradeChangeAdvice (as extension base)

Annotation
A type defining the content model for a request message that can be subsequently corrected or retracted.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) CorrectableRequestMessage

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CorrectableRequestMessage"> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:element name="isCorrection" type="xsd:boolean"/> <xsd:group minOccurs="0" ref="CorrelationAndSequence.model"/> <xsd:group minOccurs="0" ref="OnBehalfOf.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/7)
isCorrection

  Type: | xsd:boolean, predefined, simple content

  Indicates if this message corrects an earlier request.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="isCorrection" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.